<?php
/**
 * 大厅相关接口 api/home/???
 * User: easyboom
 * Date: 2019/1/14
 * Time: 下午2:44
 */

use Illuminate\Support\Facades\Route;

// 记录滑动
Route::post("partner/{partner_id}/hdcnt", "Home\HomeController@hdCnt");

// 大厅feed流
Route::any("/feed", "Home\HomeController@feed");

// feed流获取匹配分
Route::get('/feed/partner/{partner_id}/score', 'Home\HomeController@score');

// feed流-获取是否有心动我的队列
Route::get('/feed/gethasthumb', "Home\HomeController@getHasThumb");

// 提醒TA补全信息
Route::get('/feed/type4/remind', 'Home\HomeController@remindType4');

// 最近有多少人看过我
Route::get('/lastlookme', "User\HomeController@lastLookMe");

// 获取未解锁的「心动我的」卡片数量和最近三人的头像
Route::get('/unlocklikemecnt', "User\HomeController@unLookLikemeCnt");

// 发现页
Route::get('find', 'Home\HomeController@activityTimetable');
// 文章列表
Route::get('articles', 'Home\HomeController@articles');
// 单个文章信息
Route::get('articles/{id}', 'Home\HomeController@showArticle')->where('id', '[0-9]+');